## rust-insta-cmd 0.4.0

=== Makefile ===
all: test

build:
	@cargo build --all-features

doc:
	@cargo doc --all-features

test:
	@echo "CARGO TESTS"
	@rustup component add rustfmt 2> /dev/null
	@cargo build --bin hello
	@cargo build --example hello
	@cargo test --all-features --all

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

.PHONY: all doc test format format-check lint

=== debian/changelog ===
rust-insta-cmd (0.4.0-1) unstable; urgency=medium

  * Package insta-cmd 0.4.0 from crates.io using debcargo 2.6.0

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 25 Sep 2023 16:14:09 +0100

=== debian/control ===
Source: rust-insta-cmd
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-insta-1+default-dev (>= 1.21-~~) <!nocheck>,
 librust-insta-1+serde-dev (>= 1.21-~~) <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.139-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.139-~~) <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.82-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/insta-cmd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/insta-cmd
Homepage: https://insta.rs/
X-Cargo-Crate: insta-cmd
Rules-Requires-Root: no

Package: librust-insta-cmd-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-insta-1+default-dev (>= 1.21-~~),
 librust-insta-1+serde-dev (>= 1.21-~~),
 librust-serde-1+default-dev (>= 1.0.139-~~),
 librust-serde-1+derive-dev (>= 1.0.139-~~),
 librust-serde-json-1+default-dev (>= 1.0.82-~~)
Provides:
 librust-insta-cmd+default-dev (= ${binary:Version}),
 librust-insta-cmd-0-dev (= ${binary:Version}),
 librust-insta-cmd-0+default-dev (= ${binary:Version}),
 librust-insta-cmd-0.4-dev (= ${binary:Version}),
 librust-insta-cmd-0.4+default-dev (= ${binary:Version}),
 librust-insta-cmd-0.4.0-dev (= ${binary:Version}),
 librust-insta-cmd-0.4.0+default-dev (= ${binary:Version})
Description: Command line extension to the insta testing library for Rust - Rust source code
 This package contains the source for the Rust insta-cmd crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta-cmd 0.4.0 --all-targets --all-features
Features: test-name=rust-insta-cmd:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta-cmd 0.4.0 --all-targets
Features: test-name=librust-insta-cmd-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta-cmd 0.4.0 --all-targets --no-default-features
Features: test-name=librust-insta-cmd-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/insta-cmd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/insta-cmd .*/crates/insta-cmd/@ANY_VERSION@/download
